<?php
/**
 * Custom template tags for this theme.
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package Ariana
 */

function ariana_default_banner(){
global $ariana;
$ariana_opt_banner_img = $ariana['ariana_home_banner_img']['url'];
$ariana_port_mb_img = get_post_meta(get_the_ID(), '_ariana_upload_banner_image', true);	
$default_banner_img = get_template_directory_uri() . '/assets/img/bg/section-bg.jpg';

?>
	
	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background-image: url(<?php if($ariana_port_mb_img){ echo esc_url($ariana_port_mb_img);}elseif($ariana_opt_banner_img){ echo esc_url($ariana_opt_banner_img);}else{ echo esc_url($default_banner_img);}?>);  background-size:cover; background-position: center center;background-attachment:fixed;">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title wow fadeIn" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<?php the_title('<h2>' ,'</h2>');?>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'ariana');?></a></li>
						  <li class="active"><?php the_title();?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->
<?php	
}

function ariana_shop_banner(){
	global $ariana;
	$ariana_opt_banner_img = $ariana['ariana_home_banner_img']['url'];
	$default_banner_img = get_template_directory_uri() . '/assets/img/bg/section-bg.jpg';

?>
	
	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background-image: url(<?php if($ariana_opt_banner_img){ echo esc_url($ariana_opt_banner_img);}else{ echo esc_url($default_banner_img);}?>);  background-size:cover; background-position: center center;background-attachment:fixed;">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title wow fadeIn" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<h2><?php esc_html_e('Shop', 'ariana');?></h2>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'ariana');?></a></li>
						  <li class="active"><?php esc_html_e('Shop', 'ariana');?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->
<?php	
}

function ariana_blog_banner(){
	global $ariana;
	$ariana_opt_banner_img = $ariana['ariana_home_banner_img']['url'];
	$default_banner_img = get_template_directory_uri() . '/assets/img/bg/section-bg.jpg';

?>
	
	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background-image: url(<?php if($ariana_opt_banner_img){ echo esc_url($ariana_opt_banner_img);}else{ echo esc_url($default_banner_img);}?>);  background-size:cover; background-position: center center;background-attachment:fixed;">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title wow fadeIn" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<h2><?php esc_html_e('Blog', 'ariana');?></h2>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'ariana');?></a></li>
						  <li class="active"><?php esc_html_e('Blog', 'ariana');?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->
<?php	
}

function ariana_archive_banner(){
	global $ariana;
	$ariana_opt_banner_img = $ariana['ariana_home_banner_img']['url'];
	$default_banner_img = get_template_directory_uri() . '/assets/img/bg/section-bg.jpg';

?>
	
	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background-image: url(<?php if($ariana_opt_banner_img){ echo esc_url($ariana_opt_banner_img);}else{ echo esc_url($default_banner_img);}?>);  background-size:cover; background-position: center center;background-attachment:fixed;">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title wow fadeIn" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<h2><?php the_archive_title();?></h2>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'ariana');?></a></li>
						  <li class="active"><?php the_archive_title();?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->
<?php	
}

function ariana_search_banner(){
	global $ariana;
	$ariana_opt_banner_img = $ariana['ariana_home_banner_img']['url'];
	$default_banner_img = get_template_directory_uri() . '/assets/img/bg/section-bg.jpg';

?>
	
	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background-image: url(<?php if($ariana_opt_banner_img){ echo esc_url($ariana_opt_banner_img);}else{ echo esc_url($default_banner_img);}?>);  background-size:cover; background-position: center center;background-attachment:fixed;">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title wow fadeIn" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<h2><?php printf( esc_html__( 'Search Results for: %s', 'ariana' ), '<span>' . esc_html(get_search_query()) . '</span>' ); ?></h2>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'ariana');?></a></li>
						  <li class="active"><?php printf( esc_html__( 'Search Results for: %s', 'ariana' ), '<span>' . esc_html(get_search_query()) . '</span>' ); ?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->
<?php	
}

function ariana_404_banner(){
	global $ariana;
	$ariana_opt_banner_img = $ariana['ariana_home_banner_img']['url'];
	$default_banner_img = get_template_directory_uri() . '/assets/img/bg/section-bg.jpg';

?>
	
	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background-image: url(<?php if($ariana_opt_banner_img){ echo esc_url($ariana_opt_banner_img);}else{ echo esc_url($default_banner_img);}?>);  background-size:cover; background-position: center center;background-attachment:fixed;">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title wow fadeIn" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<h2><?php esc_html_e('404 Page', 'ariana');?></h2>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'ariana');?></a></li>
						  <li class="active"><?php esc_html_e('404', 'ariana');?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->
<?php	
}

function ariana_header(){
	global $ariana;
	$ariana_opt_logo_img = $ariana['ariana_home_logo']['url'];
	$default_logo_img = get_template_directory_uri() . '/assets/img/logo.png';
	$ariana_preloader_opt = $ariana['ariana_preloader_opt'];
	$ariana_preloader_text = $ariana['ariana_preloader_text'];
	$ariana_homepage_opt = $ariana['ariana_homepage_opt'];
	$ariana_preloader_bg_color = $ariana['ariana_preloader_bg_color'];
	$ariana_preloader_imge = $ariana['ariana_preloader_imge']['url'];
?>

	<?php if($ariana_preloader_opt == '1' && !$ariana_homepage_opt == '1') { ?>
		
		<!-- START PRELOADER -->
		<div class="preloader" style="background: <?php echo esc_attr($ariana_preloader_bg_color);?>;">
			<div class="status" style="background-image: url(<?php echo esc_url($ariana_preloader_imge);?>); background-position: center;  background-repeat: no-repeat;">
				<div class="status-mes"><h4><?php echo esc_html($ariana_preloader_text);?></h4></div>
			</div>
		</div>
		<!-- END PRELOADER -->
	
	<?php }elseif($ariana_preloader_opt == '1' && $ariana_homepage_opt == '1'){ ?>	

	<?php if(is_front_page()) {?>
		<!-- START PRELOADER -->
		<div class="preloader" style="background: <?php echo esc_attr($ariana_preloader_bg_color);?>;">
			<div class="status" style="background-image: url(<?php echo esc_url($ariana_preloader_imge);?>); background-position: center;  background-repeat: no-repeat;">
				<div class="status-mes"><h4><?php echo esc_html($ariana_preloader_text);?></h4></div>
			</div>
		</div>
		<!-- END PRELOADER -->
	<?php } } ?>

	<!-- START NAVBAR -->
	<div class="navbar navbar-default navbar-fixed-top menu-top <?php if(is_user_logged_in()){ echo esc_attr('user_login_menu');}?>">
		<div class="container">
			<div class="navbar-header">
				<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
					<span class="sr-only"><?php esc_html_e('Toggle navigation', 'ariana');?></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
				</button>
				<a href="<?php echo esc_url(home_url('/'));?>" class="navbar-brand"><img src="<?php if($ariana_opt_logo_img){ echo esc_url($ariana_opt_logo_img);}else{ echo esc_url($default_logo_img);}?>" alt=""></a>
			</div>
			<div class="navbar-collapse collapse">
				<nav id="nav">
					<?php ariana_main_menu();?>
				</nav>
			</div> 
		</div><!--- END CONTAINER -->
	</div> 
	<!-- END NAVBAR -->	
<?php	
}

function ariana_footer(){
	global $ariana;
	$ariana_opt_logo_img = $ariana['ariana_home_logo']['url'];
	$ariana_copywrite_text = $ariana['ariana_copywrite_text'];
	$ariana_ft_social_icon = $ariana['ariana_ft_social_icon'];
	$ariana_ft_social_url = $ariana['ariana_ft_social_url'];
	$ariana_ft_social_bg_color = $ariana['ariana_ft_social_bg_color'];
	$ariana_sec_social_icon = $ariana['ariana_sec_social_icon'];
	$ariana_sec_social_url = $ariana['ariana_sec_social_url'];
	$ariana_sec_social_bg_color = $ariana['ariana_sec_social_bg_color'];
	$ariana_third_social_icon = $ariana['ariana_third_social_icon'];
	$ariana_third_social_url = $ariana['ariana_third_social_url'];
	$ariana_third_social_bg_color = $ariana['ariana_third_social_bg_color'];
	$ariana_4th_social_icon = $ariana['ariana_4th_social_icon'];
	$ariana_4th_social_url = $ariana['ariana_4th_social_url'];
	$ariana_4thsocial_bg_color = $ariana['ariana_4thsocial_bg_color'];
	$ariana_5th_social_icon = $ariana['ariana_5th_social_icon'];
	$ariana_5th_social_url = $ariana['ariana_5th_social_url'];
	$ariana_5th_social_bg_color = $ariana['ariana_5th_social_bg_color'];
	$ariana_6th_social_icon = $ariana['ariana_6th_social_icon'];
	$ariana_6th_social_url = $ariana['ariana_6th_social_url'];
	$ariana_6th_social_bg_color = $ariana['ariana_6th_social_bg_color'];
?>

<!-- START FOOTER TOP -->
<section class="footer section-padding">
	<div class="container">
		<div class="row">					
			<div class="col-md-12 col-sm-12 text-center wow zoomIn">
				<div class="footer_logo">
					<a href="<?php echo esc_url(home_url('/'));?>"><img src="<?php echo esc_url($ariana_opt_logo_img);?>" alt="" /></a>
				</div>
				<div class="footer_social">
					<ul>
						<?php if($ariana_ft_social_icon && $ariana_ft_social_url){ ?>
							<li><a href="<?php echo esc_url($ariana_ft_social_url);?>" onmouseover="this.style.background='<?php if (isset($ariana_ft_social_bg_color)) { echo esc_js($ariana_ft_social_bg_color);}?>'; this.style.color='#fff'; this.style.borderColor='<?php if (isset($ariana_ft_social_bg_color)) { echo esc_js($ariana_ft_social_bg_color);}?>'" onmouseout="this.style.background='#2c2c31'; this.style.color='#fff'; this.style.borderColor='#2c2c31'"><i class="fa <?php echo esc_attr($ariana_ft_social_icon);?>"></i></a></li>
						<?php } if($ariana_sec_social_icon && $ariana_sec_social_url){ ?>
							<li><a href="<?php echo esc_url($ariana_sec_social_url);?>" onmouseover="this.style.background='<?php if (isset($ariana_sec_social_bg_color)) { echo esc_js($ariana_sec_social_bg_color);}?>'; this.style.color='#fff'; this.style.borderColor='<?php if (isset($ariana_sec_social_bg_color)) { echo esc_js($ariana_sec_social_bg_color);}?>'" onmouseout="this.style.background='#2c2c31'; this.style.color='#fff'; this.style.borderColor='#2c2c31'"><i class="fa <?php echo esc_attr($ariana_sec_social_icon);?>"></i></a></li>
						<?php } if($ariana_third_social_icon && $ariana_third_social_url){ ?>
							<li><a href="<?php echo esc_url($ariana_third_social_url);?>" onmouseover="this.style.background='<?php if (isset($ariana_third_social_bg_color)) { echo esc_js($ariana_third_social_bg_color);}?>'; this.style.color='#fff'; this.style.borderColor='<?php if (isset($ariana_third_social_bg_color)) { echo esc_js($ariana_third_social_bg_color);}?>'" onmouseout="this.style.background='#2c2c31'; this.style.color='#fff'; this.style.borderColor='#2c2c31'"><i class="fa <?php echo esc_attr($ariana_third_social_icon);?>"></i></a></li>
						<?php } if($ariana_4th_social_icon && $ariana_4th_social_url){ ?>
							<li><a href="<?php echo esc_url($ariana_4th_social_url);?>" onmouseover="this.style.background='<?php if (isset($ariana_4thsocial_bg_color)) { echo esc_js($ariana_4thsocial_bg_color);}?>'; this.style.color='#fff'; this.style.borderColor='<?php if (isset($ariana_4thsocial_bg_color)) { echo esc_js($ariana_4thsocial_bg_color);}?>'" onmouseout="this.style.background='#2c2c31'; this.style.color='#fff'; this.style.borderColor='#2c2c31'"><i class="fa <?php echo esc_attr($ariana_4th_social_icon);?>"></i></a></li>
						<?php } if($ariana_5th_social_icon && $ariana_5th_social_url){ ?>
							<li><a href="<?php echo esc_url($ariana_5th_social_url);?>" onmouseover="this.style.background='<?php if (isset($ariana_5th_social_bg_color)) { echo esc_js($ariana_5th_social_bg_color);}?>'; this.style.color='#fff'; this.style.borderColor='<?php if (isset($ariana_5th_social_bg_color)) { echo esc_js($ariana_5th_social_bg_color);}?>'" onmouseout="this.style.background='#2c2c31'; this.style.color='#fff'; this.style.borderColor='#2c2c31'"><i class="fa <?php echo esc_attr($ariana_5th_social_icon);?>"></i></a></li>
						<?php } if($ariana_6th_social_icon && $ariana_6th_social_url){ ?>
							<li><a href="<?php echo esc_url($ariana_6th_social_url);?>" onmouseover="this.style.background='<?php if (isset($ariana_6th_social_bg_color)) { echo esc_js($ariana_6th_social_bg_color);}?>'; this.style.color='#fff'; this.style.borderColor='<?php if (isset($ariana_6th_social_bg_color)) { echo esc_js($ariana_6th_social_bg_color);}?>'" onmouseout="this.style.background='#2c2c31'; this.style.color='#fff'; this.style.borderColor='#2c2c31'"><i class="fa <?php echo esc_attr($ariana_6th_social_icon);?>"></i></a></li>
						<?php } ?>
					</ul>
				</div>
				<div class="copyright">
					<p><?php echo wp_kses($ariana_copywrite_text, array('br' => array() , 'a'=> array('href' => array(),'target' => array())  ) );?></p>
				</div><!--- END FOOTER COPYRIGHT -->
			</div><!--- END COL -->			
		</div><!--- END ROW -->				
	</div><!--- END CONTAINER -->
</section>
<!-- END FOOTER TOP -->		

<?php	
}