<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package ariana
 */

get_header(); 
ariana_default_banner();
?>
<section class="single_project">
	<div class="container">
	<?php while(have_posts()) : the_post() ;
	
		$ariana_port_image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()),'ariana_image_1200_800');
		$ariana_client_label = get_post_meta(get_the_ID(), '_ariana_port_client_label', true);
		$ariana_port_client_name = get_post_meta(get_the_ID(), '_ariana_port_client_name', true);
		$ariana_port_date_label = get_post_meta(get_the_ID(), '_ariana_port_date_label', true);
		$ariana_port_date = get_post_meta(get_the_ID(), '_ariana_port_date', true);
		$ariana_port_project_url_label = get_post_meta(get_the_ID(), '_ariana_port_project_url_label', true);
		$ariana_port_url = get_post_meta(get_the_ID(), '_ariana_port_pro_url', true);
		
	?>		
		<div class="row section-padding">
			<div class="col-md-4">
				<div class="project_details">

					<div class="about_project_details">
						<h4><?php esc_html_e('Project Details' , 'ariana');?></h4>
						<ul>
							<li><i class="fa fa-user"></i><b><?php echo esc_html($ariana_client_label);?>: </b><?php echo esc_html($ariana_port_client_name);?></li>
							<li><i class="fa fa-clock-o"></i><b><?php echo esc_html($ariana_port_date_label);?>: </b><?php echo esc_html($ariana_port_date);?></li>
							<li><i class="fa fa-folder"></i><b><?php echo esc_html($ariana_port_project_url_label);?>: </b><a href="<?php echo esc_url($ariana_port_url);?>"><?php echo esc_html($ariana_port_url);?></a></li>
						</ul>
					</div>
					
					<div class="about_project">
						<?php the_content();?>
					</div>
					
					<a href="<?php echo esc_url($ariana_port_url);?>" target="_blank" class="btn-light-bg"><?php esc_html_e('See Live Project' , 'ariana');?></a>
				</div>
			</div><!--- END COL -->
			
			<div class="col-md-8">
				<div class="project_dec">
					<img alt="" class="img-responsive" src="<?php echo esc_url($ariana_port_image['0']);?>">
				 </div>
			</div><!--- END COL -->					
		</div>
			
		<?php endwhile;?>	
		</div><!-- END CONTAINER  -->
</section>


<div class="container">
	<div class="section-title text-center">
		<h2><?php esc_html_e('Related Projects' , 'ariana');?></h2>
		<span></span>
	</div>
</div>

<div class="container-fluid">
	<div class="row">
	<?php // WP_Query arguments
		$args = array (
			'post_type'              => array( 'portfolios' ),
			'post__not_in' => array($post->ID),
			'posts_per_page'=> 3
		);

		// The Query
		$ariana_port_query = new WP_Query( $args );

		// The Loop
		if ( $ariana_port_query->have_posts() ) {
			while ( $ariana_port_query->have_posts() ) {
				$ariana_port_query->the_post(); 
				$ariana_id = get_the_ID();
				$ariana_port_image = wp_get_attachment_image_src(get_post_thumbnail_id($ariana_id),'ariana_image_1200_800');
				?>
				<div class="col-md-4 col-sm-4 col-xs-12 no-padding">
					<div class="grid">
						<figure class="effect-sadie">
							<img src="<?php echo esc_url($ariana_port_image['0']);?>" alt=""/>
							<figcaption>
								<?php the_title('<h4>' , '</h4>');?>
								<p><a href="<?php the_permalink();?>"><?php esc_html_e('View Project' , 'ariana');?></a></p>
							</figcaption>			
						</figure>
					</div><!--- END GRID -->
				</div><!--- END COL -->				
			
		<?php	}
		} else {
			// no posts found
		}

		// Restore original Post Data
		wp_reset_postdata();?>	
	</div>
</div>	
<?php

get_footer();
